package edu.nyu.scps.optionsmenu;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.widget.TextView;

public class OptionsMenuActivity extends Activity {
	TextView textView;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		textView = (TextView)findViewById(R.id.textView);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		final boolean b = super.onCreateOptionsMenu(menu);
		MenuInflater inflater = getMenuInflater();
		//Fill up the empty menu object with inflated resources.
		inflater.inflate(R.menu.optionsmenu, menu);
		return b;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case R.id.item1:
		case R.id.item2:
		case R.id.item3:
		case R.id.item4:
		case R.id.item5:
		case R.id.item6:
		case R.id.item7:
		case R.id.item8:
			textView.setText(String.format(
				"You selected\n"
				+ "title: \"%s\"\n"
				+ "titleCondensed: \"%s\"\n"
				+ "id: 0x%x\n"
				+ "groupId: %d\n"
				+ "order: %d",
				item.getTitle(),
				item.getTitleCondensed(),
				item.getItemId(),
				item.getGroupId(),
				item.getOrder()
			));
			return true;

		default:
			return super.onOptionsItemSelected(item);
		}
	}
}